﻿Imports CopyController02
'****************************************** HELP
'RCK1.P_ProgramID (e.g. "4AD14721F3698705BA618E2C" )
'   * Activation Key encryption logic will depend on this key
'   * ProgramID Must have 24 Characters
'   * All Characters of ProgramID Must be 0 To 9 OR 'A' To 'F'
'
'RCK1.P_Sequence (e.g. "ABCDEFGHIJKLMNOPQRSTUVWXYZ" this is default value)
'   * for advance protection use this property otherwise not require
'   * Sequence String length Must be 26 characters
'   * All characters must be between ('A' to 'Z') OR (0 to 9)
'   * No character must repeat
'   * Here output character Key(Activation Code Or MID Code) is map as "A as A,B as B,
'       C as C....as on Z as Z". you can change maping value as per your requirement
'   * E.g.
'          RCK1.P_Sequence = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
'          RCK1.P_Sequence = "ABCDEFGHIJKLMNOPQ123456789"
'          RCK1.P_Sequence = "ZYXWVUTSRQPONMLKJIHGFEDCBA"
'
'RCK1.P_SoftwareID (e.g. 1 is Default value)
'   *   If you have more than 1 software use this property(if you changed P_ProgramID in
'       all your softwares then you don't set this property)
'   * SoftwareID Must Be Between 1 To 26
'   * E.g.
'           RCK1.P_SoftwareID = 1 (For School Software)
'           RCK1.P_SoftwareID = 2 (For Account Software)
'           RCK1.P_SoftwareID = 3 (For Payslip)
'
'############### NOTE ################
'IN DEMO VERSION
'YOU CAN NOT CHANGE VALUE OF FOLLOWING PROPERTY. VALUE OF FOLLOWING PROPERTY IS READONLY IN DEMO VERSION
'   RCK1.P_ProgramID = "0123456789ABCDEF01234567"
'   RCK1.P_Sequence = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
'   RCK1.P_SoftwareID = 1
'#####################################
'******************************************
Public Class FrmKeyGen
    Public HardwareSerialOfClientPC As String

    Private Sub cmdExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdExit.Click
        End
    End Sub

    Private Sub FrmKeyGen_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        RCK1.P_ProgramID = "0123456789ABCDEF01234567"       ' Activation Key encryption logic will depend on this key
        RCK1.P_Sequence = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"      ' enter Sequence charactors. output character Key(Activation Code Or MID Code) is map as "A as A,B as B,C as C....as on Z as Z" but you can change this sequence by this parameter (e.g. ABCDEFGHIJKLMNOPQ123456789 )
        RCK1.P_SoftwareID = 1  ' 1 For School Software, 2 For Account Software, 3 For Payslip ...As on

        '*** return Miscellaneous Serial No which you can use here or any other perpose
        Dim HDDModule1 As String = ""
        TxtMacAddress.Text = RCK1.M_GetMacAddress
        TxtBaseboardNo.Text = RCK1.M_GetMotherBoardSerialNo
        TxtHDD.Text = RCK1.M_GetHDDDSerialNo(IDE_DRIVE_NUMBER.PRIMARY_MASTER, HDDModule1)
        TxtModule.Text = HDDModule1
        TxtProcess.Text = RCK1.M_GetProcessorId
        '***
    End Sub

    Private Sub CmdUnprotectMID_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdUnprotectMID.Click
        Dim SoftwareID As Integer
        Dim ErrorNo As Integer
        Dim ExtraStringFromClientPC As String = ""

        ErrorNo = RCK1.M_UnProtectMid3(TxtMID.Text, SoftwareID, ExtraStringFromClientPC)
        'Parameters description
        'TxtMID.Text             ->  Pass MID Code (which you have received from your client)
        'SoftwareID              ->  Return software ID
        'ExtraStringFromClientPC ->  Return Extra 20 characters Which you have passed when
        '                            MID Code is generated (which contain hardware Sr.no.of
        '                            client PC as per your requirement)
        'function return  0 For MID Code unprotect Successfully
        If ErrorNo <> 0 Then
            Select Case ErrorNo
                Case -1
                    MsgBox("Width of MID Code must be 26 characters", vbOKOnly + vbExclamation, "")
                Case -2
                    MsgBox("Every Character of MID Code must be between 'A' to 'Z'", vbOKOnly + vbExclamation, "My App")
                    ' As per your RCK1.SequenceNo
                    '(e.g. if RCK1.SequenceNo = 'ABCDEFGHIJKLMNOP0123456789' then 'A' to 'P' OR 0 TO 9 )
                Case -3
                    MsgBox("Invalid MID Code(Typing mistake) or this MID Code is not for this application ")
            End Select
        End If
        If ErrorNo = 0 Then
            Select Case SoftwareID
                Case 1
                    LblSoftwareName.Text = "School Software"
                Case 2
                    LblSoftwareName.Text = "Account Software"
                Case 3
                    LblSoftwareName.Text = "Payslip Software"
            End Select
            TxtClientSoftwareID.Text = SoftwareID
            If Option1.Checked = True Then
                If SoftwareID <> 1 Then
                    MsgBox("This MID Code is not for school software")
                    Exit Sub
                End If
            ElseIf Option2.Checked = True Then
                If SoftwareID <> 2 Then
                    MsgBox("This MID Code is not for accounting software")
                    Exit Sub
                End If
            ElseIf Option3.Checked = True Then
                If SoftwareID <> 3 Then
                    MsgBox("This MID Code is not for pay Slip Software")
                    Exit Sub
                End If
            End If
            TxtClientBaseBoardNo.Text = Mid(ExtraStringFromClientPC, 1, 5)
            TxtClientHarddiskNo.Text = Mid(ExtraStringFromClientPC, 6, 5)
            TxtClientProcesserID.Text = Mid(ExtraStringFromClientPC, 11, 5)
            TxtClientMacAddress.Text = Mid(ExtraStringFromClientPC, 16, 5)
            HardwareSerialOfClientPC = ExtraStringFromClientPC
        End If
        If ErrorNo = 0 Then
            MsgBox("Success")
        End If
    End Sub

    Private Sub CmdAct_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdAct.Click
        Dim ActivationCode As String
        Dim ExtraChar As String
        ExtraChar = HardwareSerialOfClientPC  ' Pass Hardware Serial No of client PC by Activation Code(as per requirement)
        ActivationCode = RCK1.M_GetAct3(Trim(TxtMID.Text), ExtraChar)
        'Parameters description
        'TxtMID.Text    -> Pass MID Code (which you have received from your client)
        'ExtraChar      -> Pass 20 Extra characters (which contain hardware Sr.no.of
        '                  client PC as per your requirement)
        '
        'Function Return Activation Code or return following error no.
        ' "-1" For width of MID Code(parameter) must be 26 characters
        ' "-2" For Every character of MID Code must be "A" TO "Z"
        ' "-3" For  Invalid MID code(Typing mistake) or this MID code is not for
        '               this application
        ' "-4" For Width of ExtraChar(paramater) must be 20 characters
        ' "-5" For Every character of ExtraChar(paramater) must be between
        '               'A' to 'Z'
        'e.g. Return 'KOWCJWQ-FINXY-XDUPY-VEFER-KQYZG'
        TxtAct.Text = ActivationCode
    End Sub

    Private Sub lblTheroyalsoftware_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lblTheroyalsoftware.LinkClicked
        System.Diagnostics.Process.Start("http://www.theroyalsoftware.com")
    End Sub

End Class
